apiVersion: apps/v1
kind: Deployment
metadata:
  name: "{{ .Chart.Name }}-imgproxy"
  labels:
    chart: {{ .Chart.Name }}
spec:
  replicas: {{ .Values.imgproxy.replicas | default 1 }}
  selector:
    matchLabels:
      component: "{{ .Chart.Name }}-imgproxy"
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxSurge: 2
      maxUnavailable: 0
  template:
    metadata:
      labels:
        component: "{{ .Chart.Name }}-imgproxy"
      annotations:
        version: "{{ .Chart.AppVersion }}"
    spec:
      imagePullSecrets:
        - name: regcred
      volumes:
        - name: data
          persistentVolumeClaim:
            claimName: {{ .Values.nginx.data.pvcName }}
      containers:
      - name: imgproxy
        image: "{{ .Values.imgproxy.repository }}:{{ .Values.imgproxy.tag }}"
        volumeMounts:
          - name: data
            mountPath: /var/www/data
            subPath: public
        env:
          - name: IMGPROXY_LOCAL_FILESYSTEM_ROOT
            value: /var/www/data
          - name: IMGPROXY_KEY
            value: {{ .Values.imgproxy.key | quote }}
          - name: IMGPROXY_SALT
            value: {{ .Values.imgproxy.salt | quote }}
        ports:
          - containerPort: 8080
            name: http
            protocol: TCP
